(function(){
	var ActivationHistory = function() {
    return {

    	init: function() {
				var dt = $('#datatable-activationHistory').DataTable( {
						ajax: {
							url: ajax_activationHistory_dt,
							type: 'POST'

						},
						lengthMenu: [ 25, 50, 75, 100 ],
						pageLength: 25,
						serverSide: true,
						retrieve: true,
						paging: true,
						searching: false,
						"columns": [
			              { "title": "Activation Type", "data": "typeName" },
			              { "title": "Status", "data": "status" },
			              { "title": "Sunday Date", "data": 'date' },
			            ]
				    	
			});
        }
    };
  }();

	$(document).ready(function() {
		ActivationHistory.init();
	});

})();